Get FIPS Modules

Get FIPS Modules
Get the FIPS modules

Get the list of all the FIPS modules and their versions, certs, etc.

Request
URI
GET
https://{server}/hybridity/api/admin/fips/modules
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns fipsModulesResponse of type(s) application/json
{
    "items": [
        {
            "name": "string",
            "version": "string",
            "cmvp_cert": "string"
        }
    ]
}
array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/admin/fips/modules